instalar la versión anterior del comstackdor de c ++

Yo uso OSX 10.10.5 necesito comstackr algún código de c++ con una versión anterior de gcc , concretamente 4.3.4 . No creo que XCode proporcione ese tipo de herramientas. Supongo que hay una manera de hacerlo a mano. Cómo puedo hacer eso ?

  • La página de Safari fue secuestrada y no puedo volver atrás
  • ¿Se puede usar la unidad iCloud para compartir documentos producidos por aplicaciones de terceros?
  • ¿Cómo saltarse una actualización en Yosemite?
  • Suavizado de fonts para files PDF en OSX Yosemite Safari vs Skim
  • Ubuntu HUD en Mac OS
  • Yosemite 10.10.4 en ninguna parte para poner tres dedos para acceder Diccionario
  • Cómo instalar correctamente el server MySQL en OS X 10.10 Ejecutando el server OS X
  • MacBook Pro (finales de 2013) desconecta la connection al enrutador inalámbrico cada 15 minutos
  • One Solution collect form web for “instalar la versión anterior del comstackdor de c ++”

    He comstackdo gcc anterior en el pasado como último recurso.

    1. Obtén Xcode : te ofrece clang y muchos files de encabezado. Si no puede soportarlo, obtenga las herramientas de línea de command.
    2. Obtener http://brew.sh
    3. brew install gcc

    Desde allí puede ver si hay disponible un gcc anterior o, en el peor de los casos, extraer esa fuente y comstackrla desde la versión de gcc ejecutada desde arriba. Parece que podrá usar homebrew para get la versión 4.3 de la versión versionada que ya está en la herramienta:

     mac:~ me$ brew search gcc gcc homebrew/dupes/apple-gcc42 homebrew/versions/gcc44 homebrew/versions/gcc47 homebrew/versions/gcc5 homebrew/head-only/gccxml homebrew/versions/gcc45 homebrew/versions/gcc48 homebrew/versions/llvm-gcc28 homebrew/versions/gcc43 homebrew/versions/gcc46 homebrew/versions/gcc49 
    Loving Apple Products like poisoning (iPhone, iPad, iMac, Macbook, iWatch).